ALLEGRO_TRANSFORM(3)

NAME

ALLEGRO_TRANSFORM - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    typedef struct ALLEGRO_TRANSFORM ALLEGRO_TRANSFORM;

DESCRIPTION

Defines the generic transformation type, a 4x4 matrix. 2D transforms use only a small subsection of this matrix, namely the top left 2x2 matrix, and the right most 2x1 matrix, for a total of 6 values.

Fields:

•   m - A 4x4 float matrix